using GUI.ViewModels;
using GUI.Views;
using Serilog;
using System.Windows;

namespace GUI;

/// <summary>
/// Interaction logic for App.xaml
/// </summary>
public partial class App : Application
{
  /// <inheritdoc />
  protected override void OnStartup(StartupEventArgs e)
  {
    base.OnStartup(e);

    var loggingCollection = new LoggingCollection(100);
    Log.Logger = new LoggerConfiguration()
      .WriteTo.Sink(loggingCollection)
      .CreateLogger();

    new LogView(loggingCollection).Show();
    new ImageView().Show();
  }
}